<?php
/**
* History:
*
* 1.0 - First version
* 1.1 - update, pagination
* 1.2 - update, sorting, search, translates
* 1.2.1 - modification css pagination, keep pagination length when we change the table or the display
* 1.2.2 - Fixed a security problem
*
*  @author    Vincent MASSON <contact@coeos.pro>
*  @copyright Vincent MASSON <www.coeos.pro>
*  @license   http://www.coeos.pro/boutique/fr/content/3-conditions-generales-de-ventes
*/

include(dirname(__FILE__).'/../../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../../init.php');
if (!defined('_PS_VERSION_') || Configuration::get('token_affichertables') != Tools::getValue('token'))
	exit;

$table = Tools::getValue('table');
require_once('../affichertables.php');
$module = new Affichertables();
$informations = Db::getInstance()->ExecuteS('SHOW COLUMNS FROM '.pSQL($table));
echo '<p>'.$module->l('Informations on the table').' '.$table.' :</p>
<table id="infosSQL"><tr>';
foreach (array_keys($informations[0]) as $key)
	echo '<td style="text-align:center;padding:3px;font-weight:bold;">'.$key.'</td>';
echo '</tr>';
foreach ($informations as $ligne)
{
	echo '<tr>';
	foreach ($ligne as $values)
		echo '<td>'.$values.'</td>';
	echo '</tr>';
}
echo '</table><br/>';